Skip to main content
Cancel an in-flight run
curl --request POST \
  --url https://api.acornops.dev/api/v1/runs/{runId}/cancel \
  --cookie acornops_cp_session=
{
  "status": "<string>",
  "message": "<string>",
  "run": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "startedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "cancelledAt": "2023-11-07T05:31:56Z",
    "error": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

runId
string<uuid>
required
Example:

"5e709a9c-2481-4baa-aec2-ca193c50167d"

Response

Cancellation accepted.

status
string
required
message
string
run
object